Search documentation of snmpkit

# SnmpKit.SnmpLib.PDU.Decoder (snmpkit v1.3.17)

ASN.1 BER decoding functions for SNMP PDUs and messages.

This module handles the conversion of binary ASN.1 BER format to Elixir data structures for SNMP protocol communication.

# Summary

## Types

message()
pdu()

## Functions

decode(data)

Decodes an SNMP message from binary format (alias for decode_message/1).

decode_message(data)

Decodes an SNMP message from binary format.

decode_message(data, user)

Decodes an SNMP message with security user (SNMPv3).

decode_pdu(data)

Decodes a PDU from binary format.

decode_snmp_packet(data)

Alias for decode/1.

# Types

# message()

    @type message() :: SnmpKit.SnmpLib.PDU.Constants.message()

# pdu()

    @type pdu() :: SnmpKit.SnmpLib.PDU.Constants.pdu()

# Functions

# decode(data)

    @spec decode(binary()) :: {:ok, message()} | {:error, atom()}

Decodes an SNMP message from binary format (alias for decode_message/1).

# decode_message(data)

    @spec decode_message(binary()) :: {:ok, message()} | {:error, atom()}

Decodes an SNMP message from binary format.

# decode_message(data, user)

    @spec decode_message(binary(), map() | nil) :: {:ok, message()} | {:error, atom()}

Decodes an SNMP message with security user (SNMPv3).

# decode_pdu(data)

    @spec decode_pdu(binary()) :: {:ok, pdu()} | {:error, atom()}

Decodes a PDU from binary format.

# decode_snmp_packet(data)

    @spec decode_snmp_packet(binary()) :: {:ok, message()} | {:error, atom()}

Alias for decode/1.